import React from 'react';

class BoxIcon extends React.PureComponent {
    render() {
        return <svg viewBox="0 0 400 400" className={this.props.className}>
            <g>
                <path d="M380.8,79.2L203.2,0c-1.6,0-3.2,0-4.8,0L19.2,78.4c-2.4,0.8-3.2,3.2-3.2,4.8c0,0,0,0,0,0.8v64.8c0,2.4,0.8,4,2.4,4.8    L33.6,164v129.6c0,2.4,0.8,4,3.2,4.8l160,100.8c0.8,0.8,1.6,0.8,2.4,0.8s1.6,0,2.4-0.8l160-100.8c1.6-0.8,3.2-3.2,3.2-4.8V164    l16-10.4c1.6-0.8,3.2-3.2,3.2-4.8V84C384,81.6,382.4,80,380.8,79.2z M193.6,384l-148-93.6V171.2l148,86.4V384z M194.4,243.2    l-151.2-88L28,145.6V94.4L194.4,196V243.2z M200,185.6L35.2,84.8L200.8,12l165.6,72L200,185.6z M354.4,290.4l-148,92.8V257.6    l148-86.4V290.4z M373.6,145.6l-16,9.6l-151.2,88V196L373.6,94.4V145.6z"/>
            </g>
        </svg>
    }
}

export default BoxIcon;
